package com.community.huiju.common.perproties;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 登陆的状态跳转url配置
 * @author weiximei
 */
@ConfigurationProperties(prefix = "login-code-perproties")
@Component
@Data
@AllArgsConstructor
@NoArgsConstructor
public class LoginCodePerproties {

    private Map<String, String> loginCode;

    public Map<String, String> getLoginCode() {
        return loginCode;
    }

    public void setLoginCode(Map<String, String> loginCode) {
        this.loginCode = loginCode;
    }
}
