package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 活动签到表
 * </p>
 *
 * @author jobob
 * @since 2019-04-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_activity_sign_in")
public class TpActivitySignIn implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer communityId;

    /**
     * 活动ID
     */
    private Integer activityId;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 用户角色
     */
    private String userRole;

    /**
     * 楼栋信息
     */
    private String buildingInfo;

    /**
     * APP用户ID
     */
    private Integer taUserId;

    /**
     * 用户手机号
     */
    private String userTel;

    /**
     * 签到时间
     */
    private LocalDateTime createDate;


}
